INSERT INTO
    STOR.T_STORAGE_RESPONSIBLE_PERSON_LINK (StorageResponsiblePersonLinkID, Storage, Post, DateBegin, DateEnd)
SELECT
    NEWID(),
    S.StorageID,
    S.ResponsiblePerson,
    CAST(GETDATE() as DATE),
    NULL
FROM STOR.T_STORAGE s
WHERE
    S.ResponsiblePerson IS NOT NULL;